package com.fufan.mtsaas.modules.sysmgr.sylogtemp.dao;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.baomidou.mybatisplus.plugins.Page;
import com.fufan.mtsaas.modules.sysmgr.sylogtemp.model.Syinperrormsg;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
  *  Mapper 接口
 *
 * @author Liby
 * @since 2019-09-11
 */
@Repository
public interface SyinperrormsgDao extends BaseMapper<Syinperrormsg> {
    List<Syinperrormsg> selectList(Page page, @Param("params") Map<String, String> params);

    int insertRecords(Syinperrormsg sYscriptD);

    int deleteByPk(@Param("params") Map<String, String> params);
    
    int updateRecords(Syinperrormsg sYscriptD);

}